﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.897.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 23/12/2022 15:41:10
-- Server version: 10.4.25
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

--
-- Set default database
--
USE ejemplo11yii;

--
-- Drop table `ejercicio1`
--
DROP TABLE IF EXISTS ejercicio1;

--
-- Drop table `ejercicio2`
--
DROP TABLE IF EXISTS ejercicio2;

--
-- Drop table `ejercicio5`
--
DROP TABLE IF EXISTS ejercicio5;

--
-- Drop table `migration`
--
DROP TABLE IF EXISTS migration;

--
-- Set default database
--
USE ejemplo11yii;

--
-- Create table `migration`
--
CREATE TABLE migration (
  version varchar(180) NOT NULL,
  apply_time int(11) DEFAULT NULL,
  PRIMARY KEY (version)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `ejercicio5`
--
CREATE TABLE ejercicio5 (
  id int(11) NOT NULL AUTO_INCREMENT,
  foto varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `ejercicio2`
--
CREATE TABLE ejercicio2 (
  nombre varchar(100) NOT NULL,
  poblacion varchar(100) DEFAULT NULL,
  color varchar(100) DEFAULT NULL,
  PRIMARY KEY (nombre)
)
ENGINE = INNODB,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

--
-- Create table `ejercicio1`
--
CREATE TABLE ejercicio1 (
  nombre varchar(100) NOT NULL,
  direccion varchar(200) DEFAULT NULL,
  edad int(11) DEFAULT NULL,
  fecha date DEFAULT NULL,
  PRIMARY KEY (nombre)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET utf8mb4,
COLLATE utf8mb4_general_ci;

-- 
-- Dumping data for table migration
--
INSERT INTO migration VALUES
('m000000_000000_base', 1671468589),
('m221219_164243_create_ejercicio5_table', 1671468597);

-- 
-- Dumping data for table ejercicio5
--
-- Table ejemplo11yii.ejercicio5 does not contain any data (it is empty)

-- 
-- Dumping data for table ejercicio2
--
INSERT INTO ejercicio2 VALUES
('ejemplo', 'torrelavega', 'rojo'),
('lorenaa', 'torrelavega', 'verde');

-- 
-- Dumping data for table ejercicio1
--
INSERT INTO ejercicio1 VALUES
('andres', 'alpe', 34, '2022-11-10'),
('ernesto', 'calle 1', 34, '2022-11-19'),
('jose luis', 'asasd', 56, '2022-11-17'),
('josefa', 'calle monte', 56, '2022-11-20');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;